<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorBackground"
    tools:context=".home.notice.activities.ActivityNoticeDetails">

    <com.google.android.material.appbar.AppBarLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="#f5f5f5">

        <com.google.android.material.appbar.MaterialToolbar
            android:id="@+id/appbar"
            android:layout_width="match_parent"
            android:layout_height="?attr/actionBarSize"
            android:background="@color/colorPrimary"
            app:title="New Notice"
            app:titleTextColor="#000000" />

    </com.google.android.material.appbar.AppBarLayout>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_behavior="@string/appbar_scrolling_view_behavior">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="16dp">

            <com.google.android.material.textfield.TextInputLayout
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:hint="Select Class">

                <AutoCompleteTextView
                    android:id="@+id/selectClass"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:hint="Title">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/et_title"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content" />
            </com.google.android.material.textfield.TextInputLayout>


            <com.google.android.material.textfield.TextInputLayout
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:hint="Details">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/et_details"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="top|start"
                    android:inputType="textMultiLine"
                    android:maxLines="3"
                    android:minLines="3"
                    android:scrollbars="vertical" />

            </com.google.android.material.textfield.TextInputLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Allow Reply :"
                    android:textSize="16sp" />

                <CheckBox
                    android:id="@+id/check_reply"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Send SMS :   "
                    android:textSize="16sp" />

                <CheckBox
                    android:id="@+id/check_sms"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" />
            </LinearLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/sms_details_container"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:hint="SMS Details"
                android:visibility="gone">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/et_sms_details"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="top|start"
                    android:inputType="textMultiLine"
                    android:maxLines="3"
                    android:minLines="3"
                    android:scrollbars="vertical"
                    tools:visibility="visible" />

            </com.google.android.material.textfield.TextInputLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recycler_view_edit"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/recycler_view"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp" />

            <com.google.android.material.button.MaterialButton
                android:id="@+id/bt_save"
                style="@style/Widget.MaterialComponents.Button"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:fontFamily="@font/google_sans"
                android:paddingTop="12dp"
                android:paddingBottom="12dp"
                android:text="Save" />

        </LinearLayout>
    </ScrollView>

    <include
        android:id="@+id/llProgressBar"
        layout="@layout/progress_dialog"
        android:visibility="gone" />
</androidx.coordinatorlayout.widget.CoordinatorLayout>